# YtFirstName (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtFirstName

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.AbstractFreeTextExtension
              com.google.gdata.data.youtube.YtFirstName

All Implemented Interfaces:
  Extension

    public class YtFirstName

extends AbstractFreeTextExtension

yt:firstname tag, found on the user's detail page and on the contact feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtFirstName()` Creates an empty tag.
`YtFirstName(java.lang.String lastname)` Creates a tag and initializes its content.

Method Summary

Methods inherited from class com.google.gdata.data.youtube.AbstractFreeTextExtension
`consumeAttributes, getContent, putAttributes, setContent`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtFirstName

    public YtFirstName()

  Creates an empty tag.

### YtFirstName

    public YtFirstName(java.lang.String lastname)

  Creates a tag and initializes its content.

  Parameters:
    `lastname` - content